/* eslint-disable @typescript-eslint/no-explicit-any */
import { create } from "zustand";
import { devtools } from "zustand/middleware";

interface StreamUserState {
  users: any[];
  setUsers: (users: any[]) => void;
}

const useStreamUserStore = create<StreamUserState>()(
  devtools((set) => ({
    users: [],
    setUsers: (users) => set({ users }),
  }))
);

export default useStreamUserStore;
